import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

// Getting data from the gist link
const csvUrl =
  'https://gist.githubusercontent.com/pasyasahas/dd145571acdb0b488d3d3cfd7cfea9d6/raw/56f3cd6c3a9d7ca11fee6b9c087d3c3eb191967b/Cars_Sales.csv';

// exporting the data to be used
export const useData = () => {
  const [data, setData] = useState(null);

  // Filtering the data for 2022
  useEffect(() => {
    const row = d => {
      d.Population = +d['2022'];
      return d;
    };
    // Splitting the data into 20 sets(y values)
    csv(csvUrl, row).then(data => {
      setData(data.slice(0, 20));
    });
  }, []);
  
  return data;
};